@import url(//fonts.googleapis.com/earlyaccess/notosanstc.css);
html,
body {
  width: 100%;
  height: 100%;
  font-weight: 200;
  color: #fff;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-family: 'Noto Sans TC', sans-serif;
}

@media screen and (max-width: 1024px) {
  .h1,
  h1 {
    font-size: 4rem;
  }
}

@media screen and (max-width: 576px) {
  .h1,
  h1 {
    font-size: 3rem;
  }
}

@media screen and (max-width: 375px) {
  .h1,
  h1 {
    font-size: 2.75rem;
  }
}

@media screen and (max-width: 320px) {
  .h1,
  h1 {
    font-size: 2.5rem;
  }
}

h5 {
  line-height: 2rem;
}

@media screen and (max-width: 576px) {
  h5 {
    font-size: 1rem;
    line-height: 1.5rem;
  }
}

@media screen and (max-width: 375px) {
  h5 {
    font-size: 0.95rem;
    line-height: 1.25rem;
  }
}

a {
  word-wrap: break-word;
}

.md-block {
  display: none;
}

@media screen and (max-width: 768px) {
  .md-block {
    display: block;
  }
  .md-none {
    display: none;
  }
}

#hero {
  background: #0075c1 url("../img/bg-2x.png") left bottom no-repeat;
  background-size: cover;
  background-size: auto 120%;
  background-position: center bottom;
  color: white;
  display: flex;
  align-items: center;
  text-align: center;
}

@media screen and (max-width: 576px) {
  #hero {
    background: #000 url("../img/bg-2x.png") center 56px no-repeat;
    background-size: 960px;
  }
}

@media screen and (max-width: 375px) {
  #hero {
    background: #000 url("../img/bg-2x.png") center 56px no-repeat;
    background-size: 860px;
  }
}

@media screen and (max-width: 320px) {
  #hero {
    background: #000 url("../img/bg-2x.png") center 56px no-repeat;
    background-size: 760px;
  }
}

#hero-caption {
  width: 100%;
}

@media screen and (max-width: 576px) {
  #hero-caption img {
    width: 200px;
    margin-bottom: 1rem !important;
  }
}

@media screen and (max-width: 576px) {
  #hero-caption .btn-lg {
    font-size: 1rem;
  }
}

@media screen and (max-width: 375px) {
  #hero-caption .btn-lg {
    margin-top: 0.75rem !important;
  }
}

.text-warning {
  color: #007bff !important;
}

#selection .text-warning:before,
#storelist .text-warning:before,
#userform .text-warning:before {
  position: relative;
  display: inline-block;
  content: '';
  top: 17px;
  margin-right: 12px;
  width: 80px;
  height: 60px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("../img/icon_heart.png");
}

@media screen and (max-width: 576px) {
  #selection .container .col {
    margin-bottom: 2rem;
  }
}

#eclist .container .col {
  margin-bottom: 2rem;
}

#eclist .container .col:last-child {
  margin-bottom: 0;
}

#storelist dl {
  font-size: 0.875rem;
}

@media screen and (max-width: 768px) {
  #storelist dl {
    margin-left: 2.5rem;
    margin-top: 1rem;
  }
}

#storelist dl dt {
  width: 100px;
  float: left;
  font-weight: 200;
  color: #999;
}

@media screen and (max-width: 576px) {
  #storelist dl dt {
    float: none;
    margin-bottom: 0.5rem;
  }
}

#storelist dl dd {
  margin-left: 6.5rem;
}

@media screen and (max-width: 576px) {
  #storelist dl dd {
    margin-bottom: 1rem;
    margin-left: 0;
  }
}

#ec-done h3 {
  line-height: 2.5rem;
}

#store-done h6,
#ec-done h6,
#resend-member h6 {
  line-height: 2rem;
}

#terms {
  line-height: 1.75rem;
}

.bg-dark {
  background-color: #000 !important;
}

.mb-hg {
  margin-bottom: 25rem;
}

@media screen and (max-width: 1024px) {
  .mb-hg {
    margin-bottom: 15rem;
  }
}

@media screen and (max-width: 320px) {
  .mb-hg {
    margin-bottom: 10rem;
  }
}

.ml-s {
  margin-left: -0.25rem;
}

.p-6 {
  padding: 4rem 4rem !important;
}

@media screen and (max-width: 1024px) {
  .p-6 {
    padding: 2rem 1.5rem !important;
  }
}

.p-10 {
  padding: 6rem 2rem !important;
}

@media screen and (max-width: 1024px) {
  .p-10 {
    padding: 3rem 1rem !important;
  }
}

.p-rl {
  padding: 0 4rem;
}

@media screen and (max-width: 1024px) {
  .p-rl {
    padding: 0 2rem;
  }
}

@media screen and (max-width: 576px) {
  .p-rl {
    padding: 0 0;
  }
}

.c-w6 {
  color: rgba(255, 255, 255, 0.6);
}

.c-b6 {
  color: rgba(0, 0, 0, 0.6);
}

.fw-b {
  font-weight: bold;
}

.w-line {
  width: 100%;
  height: 1px;
  background-color: rgba(0, 0, 0, 0.2);
}

.txt-14 {
  font-size: 0.875rem;
}

.btn-link {
  color: #007bff;
}

.btn-link:hover,
.btn-link:focus,
.btn-link:active {
  color: #007bff;
}

.btn-remove {
  background: inherit;
  padding: 10px;
}

.card {
  border-radius: 0;
  border: none;
  background: inherit;
}

.notice {
  font-size: 13px;
}

@media screen and (max-width: 768px) {
  .navbar {
    background: rgba(0, 0, 0, 0.9);
  }
}

.navbar.scrolled {
  background: rgba(0, 0, 0, 0.9);
}

@media screen and (max-width: 768px) {
  .navbar-nav {
    padding: 1.75rem;
  }
}

@media screen and (max-width: 480px) {
  .modal-body {
    padding: 2rem 1rem;
  }
}

.modal-backdrop.show {
  opacity: 0.8;
}

.badge-secondary {
  padding: 0.5rem 1rem;
  background: none;
  border: 1px solid #fff;
  font-weight: 400;
}

.border-2rem {
  border-radius: 0.25rem;
}

.border-lightgray {
  border: 1px solid #ced4da;
}

.zf6-logo {
  width: 30vw;
  height: auto;
}

.zf6-gift {
  font-weight: 200;
}

.zf6-gift h5 {
  font-weight: 400;
}

.zf6-gift.active {
  background: #fff;
  color: #495057;
}

.zf6-gift:focus,
.zf6-gift:hover {
  outline: none;
}

.zf6-logo-container {
  position: relative;
}

.zf6-logo-container img {
  position: absolute;
  overflow: hidden;
}

/* flip css */
/* ----------------------------------------------
 * Generated by Animista on 2019-5-8 17:14:3
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */
/**
 * ----------------------------------------
 * animation flip-horizontal-top
 * ----------------------------------------
 */

@keyframes flip-horizontal-top {
  0% {
    transform: rotateX(0);
  }
  50% {
    transform: rotateX(180deg);
  }
  100% {
    transform: rotateX(0);
  }
}

.flip-horizontal-top,
#letter1 {
  animation: flip-horizontal-top 0.8s cubic-bezier(0.455, 0.03, 0.515, 0.955) both;
}
